package com.yovinchen.xlcs.model.acl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yovinchen.xlcs.model.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 后台用户登录日志表
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-24
 */
@Data
@ApiModel(description = "后台用户登录日志表")
@TableName("admin_login_log")
public class AdminLoginLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    @TableField("admin_id")
    private Long adminId;

    @ApiModelProperty(value = "IP地址")
    @TableField("ip")
    private String ip;

    @ApiModelProperty(value = "地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "浏览器登录类型")
    @TableField("user_agent")
    private String userAgent;
}
