package com.yovinchen.xlcs.acl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yovinchen.xlcs.model.acl.Permission;

import java.util.List;
import java.util.Map;

/**
 * ClassName: PermissionService
 * Package: com.yovinchen.xlcs.acl.service
 * 权限服务
 *
 * @author yovinchen
 * @since 2023/9/14 14:01
 */
public interface PermissionService extends IService<Permission> {

    //获取所有菜单列表
    List<Permission> queryAllMenu();

    //递归删除
    boolean removeChildById(Long id);

    Map<String, Object> getPermissionById(Long id);

    void saveRolePermissionRealtionShip(Long roleId, Long[] permissionId);

    Map<String, Object> findPermissionByRoleId(Long roleId);
}
