package com.yovinchen.xlcs.user.controller;


import com.yovinchen.xlcs.common.result.Result;
import com.yovinchen.xlcs.vo.order.OrderQueryVo;
import com.yovinchen.xlcs.vo.user.LeaderVo;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 团长表 前端控制器
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-30
 */
@RestController
@RequestMapping("admin/user/leader")
public class LeaderController {
    //    admin/user/leader/checkList/${page}/${limit}
//    getPageCheckList
    @ApiOperation(value = "获取页面列表")
    @GetMapping("getPageCheckList/${page}/${limit}")
    public Result<LeaderVo> getPageCheckList(@ApiParam(name = "page", value = "当前页码", required = true) @PathVariable Long page, @ApiParam(name = "limit", value = "每页记录数", required = true) @PathVariable Long limit, @ApiParam(name = "OrderQueryVo", value = "查询对象", required = false) OrderQueryVo orderQueryVo) {
        return null;
    }


}

