package com.yovinchen.xlcs.sys.service.impl;


import com.yovinchen.xlcs.model.sys.Region;
import com.yovinchen.xlcs.sys.mapper.RegionMapper;
import com.yovinchen.xlcs.sys.service.RegionService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 地区表 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-14
 */
@Service
public class RegionServiceImpl extends ServiceImpl<RegionMapper, Region> implements RegionService {

    @Override
    public List<Region> getRegionByKeyword(String keyword) {
        return baseMapper.selectList(new LambdaQueryWrapper<Region>().like(Region::getName, keyword));
    }
}
